Create Support Ticket
curl --request POST \
--url https://api.mixpeek.com/v1/support/tickets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"subject": "<string>",
"description": "<string>",
"category": "other",
"priority": "medium",
"organization_id": "<string>"
}
'import requests
url = "https://api.mixpeek.com/v1/support/tickets"
payload = {
"subject": "<string>",
"description": "<string>",
"category": "other",
"priority": "medium",
"organization_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
subject: '<string>',
description: '<string>',
category: 'other',
priority: 'medium',
organization_id: '<string>'
})
};
fetch('https://api.mixpeek.com/v1/support/tickets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ticket_id": "<string>",
"subject": "<string>",
"category": "technical",
"priority": "low",
"status": "open",
"organization_id": "<string>",
"created_by": {
"user_id": "<string>",
"email": "<string>",
"name": "<string>"
},
"message_count": 0,
"last_message_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"messages": [
{
"message_id": "<string>",
"author_type": "customer",
"body": "<string>",
"ticket_id": "<string>",
"organization_id": "<string>",
"author": {
"user_id": "<string>",
"email": "<string>",
"name": "<string>"
},
"attachments": [
{
"filename": "<string>",
"url": "<string>",
"storage_uri": "<string>",
"mime_type": "<string>",
"size_bytes": 123
}
],
"created_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"details": {
"id": "ns_123",
"resource": "namespace"
},
"message": "Namespace not found",
"type": "NotFoundError"
},
"status": 404,
"success": false
}{
"error": {
"details": {
"id": "ns_123",
"resource": "namespace"
},
"message": "Namespace not found",
"type": "NotFoundError"
},
"status": 404,
"success": false
}{
"error": {
"details": {
"id": "ns_123",
"resource": "namespace"
},
"message": "Namespace not found",
"type": "NotFoundError"
},
"status": 404,
"success": false
}{
"error": {
"details": {
"id": "ns_123",
"resource": "namespace"
},
"message": "Namespace not found",
"type": "NotFoundError"
},
"status": 404,
"success": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"error": {
"details": {
"id": "ns_123",
"resource": "namespace"
},
"message": "Namespace not found",
"type": "NotFoundError"
},
"status": 404,
"success": false
}Support
Create Support Ticket
POST
/
v1
/
support
/
tickets
Create Support Ticket
Authorizations
Mixpeek API key, sent as Authorization: Bearer mxp_sk_.... Create one in Studio under Settings → API Keys, or with an admin key via POST /v1/organizations/users/{user_email}/api-keys. A missing header returns 403; an invalid or revoked key returns 401.
Body
application/json
Required string length:
3 - 200Required string length:
1 - 10000Available options:
technical, billing, feature, onboarding, other Available options:
low, medium, high, urgent Available options:
global, organization Response
Successful Response
Available options:
technical, billing, feature, onboarding, other Available options:
low, medium, high, urgent Available options:
open, pending, resolved, closed Lightweight snapshot of who created a ticket/message.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?

